## bastet 0.41

=== Makefile ===
#makefile for bastet (c) 2004 Federico Poloni

#default paths
BIN_PREFIX=/usr/bin/
DATA_PREFIX=/var/games/
HISCORE=bastet.scores

#in order to handle highscores properly, bastet must be setuid.
#games is a standard group, change it to something else if you
#have a non-standard system
GAME_USER=games

CC=gcc
CFLAGS=-Wall -DHIGHSCORE_FILE=\"$(DATA_PREFIX)$(HISCORE)\"
LDFLAGS=-lncurses
SOURCES=main.c game.c highscore.c bast.c
EXNAME=bastet

all: $(EXNAME)

$(EXNAME) : $(SOURCES:.c=.o)
	$(CC) $(LDFLAGS) -o $(EXNAME) $(SOURCES:.c=.o)

%.d: %.c
	set -e; $(CC) -MM $(CFLAGS) $< \
| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
[ -s $@ ] || rm -f $@

include $(SOURCES:.c=.d)

%.o: %.c
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	rm -f $(SOURCES:.c=.o) $(EXNAME)

mrproper: clean
	rm -f $(SOURCES:.c=.d) *~

install: $(EXNAME)
	cp $(EXNAME) $(BIN_PREFIX)
	chown $(GAME_USER) $(BIN_PREFIX)$(EXNAME)
	chmod u+s $(BIN_PREFIX)$(EXNAME)
	touch $(DATA_PREFIX)$(HISCORE)
	chown $(GAME_USER) $(DATA_PREFIX)$(HISCORE)
	chmod 644 $(DATA_PREFIX)$(HISCORE)

## bastet 0.43

=== Makefile ===
SOURCES=Ui.cpp main.cpp Block.cpp Well.cpp BlockPosition.cpp Config.cpp BlockChooser.cpp BastetBlockChooser.cpp
PROGNAME=bastet
LDFLAGS+=-lncurses
#CXXFLAGS+=-ggdb -Wall
CXXFLAGS+=-DNDEBUG -Wall
#CXXFLAGS+=-pg
#LDFLAGS+=-pg

all: $(PROGNAME)

depend: *.hpp $(SOURCES)
	$(CXX) -MM $(SOURCES) > depend

include depend

$(PROGNAME): $(SOURCES:.cpp=.o)
	$(CXX) -ggdb -o $(PROGNAME) $(SOURCES:.cpp=.o) $(LDFLAGS) -lboost_program_options

clean:
	rm -f $(SOURCES:.cpp=.o) $(PROGNAME)

mrproper: clean
	rm -f *~

=== debian/changelog ===
bastet (0.43-7build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:46:28 +0100

bastet (0.43-7) unstable; urgency=medium

  * Add format-security.patch and fix FTBFS with latest version of ncurses.
    (Closes: #997142)
  * Declare compliance with Debian Policy 4.6.0.

 -- Markus Koschany <apo@debian.org>  Sun, 24 Oct 2021 14:13:33 +0200

bastet (0.43-6) unstable; urgency=medium

  * Fix Debian bug 931550 and do not quote the scorer twice.
    Thanks to Stefano Gandelli for the report. (Closes: #931550)
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.

 -- Markus Koschany <apo@debian.org>  Sun, 15 Nov 2020 01:36:12 +0100

bastet (0.43-5) unstable; urgency=medium

  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.4.
  * Move the package to Git and salsa.debian.org.
  * Remove Nacho Barrientos Arias from Uploaders. (Closes: #869343)
  * Add myself to Uploaders to comply with Debian's Policy.
  * Remove deprecated menu file.

 -- Markus Koschany <apo@debian.org>  Thu, 17 May 2018 14:43:47 +0200

bastet (0.43-4) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Use https.
  * Add Brazilian Portuguese debconf templates translation.
    Thanks to Adriano Rafael Gomes for the report and patch. (Closes: #764775)
  * Use standard setuid executable permissions for bastet.

 -- Markus Koschany <apo@debian.org>  Mon, 02 Nov 2015 14:55:29 +0100

bastet (0.43-3) unstable; urgency=medium

  * Team upload.
  * bastet.config: Use set -e in the script's body.
  * bastet.desktop: Add keywords and a comment in German.
  * Declare compliance with Debian policy 3.9.5.
  * Use compat level 9 and require debhelper >= 9.
  * wrap-and-sort -sa.
  * Simplify debian/rules by using dh sequencer.
  * menu: Add longtitle and icon entry.
  * debian/copyright: Fix copyright-refers-to-symlink-license.
  * Add DEP-3 headers to patches.
  * [Debconf translation updates] Thanks to
    - Italian (Beatrice Torracca) (Closes: #659385)
    - Japanese (victory) (Closes: #692840)
  * Add bastet.png and bastet.xpm icon. (Closes: #726210)

  [ Evgenis Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org.

 -- Markus Koschany <apo@gambaru.de>  Tue, 29 Apr 2014 17:39:47 +0200

bastet (0.43-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #622227
  * [Debconf translation updates]
    - Russian (Yuri Kozlov).  Closes: #622948
    - Danish (Joe Hansen).  Closes: #622983
    - Czech (Michal Simunek).  Closes: #623360
    - Swedish (Martin Bagge / brother).  Closes: #623404
    - German (Chris Leick).  Closes: #623566
    - French (Steve Petruzzello).  Closes: #623823
    - Spanish (Camaleón).  Closes: #624235
    - Dutch (Jeroen Schot).  Closes: #634307
    - Portuguese (Rui Branco).  Closes: #635127

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Jul 2011 12:25:48 +0200

bastet (0.43-2) unstable; urgency=low

  * Team upload.
  * Build-depend on unversioned libboost*-dev packages to prevent a FTBFS in
    the future as libboost*1.42-dev packages will be dropped from the archive.
    (Closes: #630435)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Wed, 15 Jun 2011 11:32:43 +0200

bastet (0.43-1) unstable; urgency=low

  [ Evgeni Golov ]
  * Update watchfile.

  [ Nacho Barrientos Arias ]
  * New upstream release (closes: #563400).
   - Now it doesn't ftbfs with binutils-gold out of the box.
     (closes: #612176).
  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/patches
   - Drop 01_Makefile (no longer necessary).
   - Drop 02_kFreeBSD_FTBFS_fix (no longer necessary).
   - Add 01_local_hiscores_file_check.patch: only print "using a
     user-specific high scores file" if the global scores file is
     not writable.
   - Add 02_manpage_global_hiscore_path.patch: point to the correct
     location of the global scores file.
  * debian/control
   - Add b-ds: libboost1.42-dev, libboot-program-options1.42-dev, po-debconf
   - Bump debhelper compatibility level to 8.
  * debian/docs
   - No longer installing README-Petris.
  * debian/copyright
   - Remove information regarding Petris inheritance as it
     no longer applies.
  * debian/bastet.{config, templates}
   - Add a simple Debconf select to deal with old-style scores file.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun, 13 Mar 2011 14:57:00 +0000

bastet (0.41-6) unstable; urgency=low

  [ Barry deFreese ]
  * Fix up desktop file (Encoding is deprecated now)
  * Add watch file
  * Add Homepage field in control section
  * Man page grammar and spelling clean-up. (Closes: #457823).

  [ Ansgar Burchardt ]
  * Added Vcs-Svn and Vcs-Browser fields in the control file.
  * Don't distribute score file, create in postinst instead (Closes: #461626).
  * Update Debian Standards version to 3.7.3
  * Remove Homepage reference from long description
  * Remove redundant -Wall from DEPCFLAGS

  [ Nacho Barrientos Arias ]
  * Changes look OK, uploading.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun, 02 Mar 2008 12:09:40 +0100

bastet (0.41-5) unstable; urgency=low

  * debian/control
   - New comaintainer email address.
   - Switching to quilt.
  * debian/menu
   - Games::Tetris-Like no longer exists, switching to Games::Blocks
     according to Debian menu transition.
     <http://lists.debian.org/debian-devel-announce/2007/07/msg00000.html>
   - Capitalizing the title.
  * debian/rules, debian/*.desktop, debian/install
   - Added a .desktop file.

 -- Nacho Barrientos Arias <nacho@debian.org>  Mon, 09 Jul 2007 21:16:13 +0200

bastet (0.41-4) unstable; urgency=low

  * New maintainer (closes: #387203).
  - See http://lists.debian.org/debian-devel/2006/09/msg00330.html


=== debian/control ===
Source: bastet
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libboost-dev,
 libboost-program-options-dev,
 libncurses5-dev | libncurses-dev,
 po-debconf
Standards-Version: 4.6.0
Homepage: http://fph.altervista.org/prog/bastet.shtml
Vcs-Git: https://salsa.debian.org/games-team/bastet.git
Vcs-Browser: https://salsa.debian.org/games-team/bastet

Package: bastet
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: ncurses Tetris clone with a bastard algorithm
 Bastet ("bastard Tetris") is a free clone of Tetris which tries to
 compute how useful blocks are and gives you the worst possible brick.
 Playing bastet can be a painful experience, especially if you usually
 make "canyons" and wait for the long I-shaped block.

=== debian/watch ===
version=3

http://fph.altervista.org/prog/bastet.html files/bastet-([\d\.]+)\.tgz

## bastet 0.43.2

=== Makefile ===
SOURCES=Ui.cpp Block.cpp Well.cpp BlockPosition.cpp Config.cpp BlockChooser.cpp BastetBlockChooser.cpp
MAIN=main.cpp
TESTS=Test.cpp
PROGNAME=bastet
BOOST_PO?=-lboost_program_options
LDFLAGS+=-lncurses $(BOOST_PO)
#CXXFLAGS+=-ggdb -Wall
CXXFLAGS+=-DNDEBUG -Wall
#CXXFLAGS+=-pg
#LDFLAGS+=-pg

all: $(PROGNAME) $(TESTS:.cpp=)

Test: $(SOURCES:.cpp=.o) $(TESTS:.cpp=.o)
	$(CXX) -ggdb -o $(TESTS:.cpp=) $(SOURCES:.cpp=.o) $(TESTS:.cpp=.o) $(LDFLAGS) 

depend: *.hpp $(SOURCES) $(MAIN) $(TESTS)
	$(CXX) -MM $(SOURCES) $(MAIN) $(TESTS)> depend

include depend

$(PROGNAME): $(SOURCES:.cpp=.o) $(MAIN:.cpp=.o)
	$(CXX) -ggdb -o $(PROGNAME) $(SOURCES:.cpp=.o) $(MAIN:.cpp=.o) $(LDFLAGS) 

clean:
	rm -f $(SOURCES:.cpp=.o) $(TESTS:.cpp=.o) $(MAIN:.cpp=.o) $(PROGNAME)

mrproper: clean
	rm -f *~

=== debian/changelog ===
bastet (0.43.2-2build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:10:10 +0200

bastet (0.43.2-2build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:59:45 +0200

bastet (0.43.2-2) unstable; urgency=medium

  * Team Upload
  * Declare compliance with Debian Policy 4.7.2.

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation
  * Update Project-Id-Version

 -- Alexandre Detiste <tchet@debian.org>  Mon, 10 Mar 2025 10:04:34 +0100

bastet (0.43.2-1) unstable; urgency=medium

  * Team Upload
  * Switch to new repository on GitHub
  * New upstream version 0.43.2
  * Refresh patches
  * Use upstream .desktop file and icons
  * Rewrite d/copyright in machine-readable format

  [ Niels Thykier ]
  * Declare explicit need for fakeroot due to non-root:root ownership

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Nov 2024 17:26:47 +0100

=== debian/control ===
Source: bastet
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libboost-dev,
 libboost-program-options-dev,
 libncurses-dev,
 po-debconf,
Rules-Requires-Root: binary-targets
Standards-Version: 4.7.2
Homepage: http://fph.altervista.org/prog/bastet.shtml
Vcs-Git: https://salsa.debian.org/games-team/bastet.git
Vcs-Browser: https://salsa.debian.org/games-team/bastet
X-Style: black

Package: bastet
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ncurses Tetris clone with a bastard algorithm
 Bastet ("bastard Tetris") is a free clone of Tetris which tries to
 compute how useful blocks are and gives you the worst possible brick.
 Playing bastet can be a painful experience, especially if you usually
 make "canyons" and wait for the long I-shaped block.

=== debian/watch ===
version=4
https://github.com/fph/bastet/tags .*/([\d\.]+)\.tar.gz
